libnvme(2)

NAME
struct nvme_ave_discover_log - AVE Discovery Log

SYNOPSIS
struct nvme_ave_discover_log {
__le64 genctr;
__le64 numrec;
__le16 recfmt;
__u8 rsvd18[2];
__le32 tadlpl;
__u8 rsvd24[1000];
struct nvme_ave_discover_log_entry adlpe[];
};

Members

genctr
    Generation Counter

numrec
    Number of Records

recfmt
    Record Format

rsvd18
    Reserved

tadlpl
    Total AVE Discovery Log Page Length

rsvd24
    Reserved

adlpe
    AVE Discovery Log Page Entry List